function validateEmpty(fld,fldName) {
    var error = "";
 
    if (fld.value.length == 0) {
        fld.style.background = 'Yellow'; 
        error = "The required field "+fldName+" has not been filled in.<br />"
    } else {
        fld.style.background = 'White';
    }
    return error;  
}

function validateUrl(fld,fldName) {

	var error = "";
	var regx = RegExp("(http|https|ftp|file)://.*");
	if(fld.value==""){
		fld.style.background = 'Yellow';
        	error = "Please make sure you fill the "+fldName+" field.<br />";
	}
	else if(!(fld.value.match(regx))){
		error = "The "+fldName+" is not a valid URL.<br />";
        	fld.style.background = 'Yellow';
	}
	
	
	return error;
}
function validateFilePath(fld,fldName) {

	var error = "";
	var regx = RegExp("[a-zA-Z]:\\.*");
	if(fld.value==""){
		fld.style.background = 'Yellow';
        	error = "Please make sure you fill the "+fldName+" field.<br />";
	}
	else if(!fld.value.match(regx)){
		error = "The "+fldName+" is not a valid URL.<br />";
        	fld.style.background = 'Yellow';
        	
	}
	
	
	return error;

}
function validateIllegal(fld,fldName){
    var error = "";
    var illegalChars = /([^a-zA-Z0-9_\-\x2E\&\?\\\:\,\s])/; // allow only letters and numbers - _and period
    
    if (fld.value == "") {
        fld.style.background = 'Yellow';
        error = "Please make sure you fill the "+fldName+" field.<br />";
    } else if (illegalChars.test(fld.value)) {
        error = "The "+fldName+" contains illegal characters.<br />";
        fld.style.background = 'Yellow';
    } else{
        fld.style.background = '#ffffff;';
    }
   return error;
}
function validateForInput(fld,fldName){
    var error = "";
    var illegalChars = /(\<[a-zA-Z0-9\s\/]*>)/; // match any starting tag
    
    if (illegalChars.test(fld.value)) {
        error = "The "+fldName+" contains illegal characters.<br />";
        fld.style.background = 'Yellow';
    } else{
        fld.style.background = '#ffffff;';
    }
   return error;
}
function validateUsername(fld) {
    var error = "";
    var illegalChars = /\W/; // allow letters, numbers, and underscores
 
    if (fld.value == "") {
        fld.style.background = 'Yellow'; 
        error = "You didn't enter a username.<br />";
    } else if ((fld.value.length < 5) || (fld.value.length > 15)) {
        fld.style.background = 'Yellow'; 
        error = "The username is the wrong length.<br />";
    } else if (illegalChars.test(fld.value)) {
        fld.style.background = 'Yellow'; 
        error = "The username contains illegal characters.<br />";
    } else {
        fld.style.background = 'White';
    }
    return error;
}
function validatePassword(fld) {
    var error = "";
    var illegalChars = /[\W_]/; // allow only letters and numbers 
 
    if (fld.value == "") {
        fld.style.background = 'Yellow';
        error = "You didn't enter a password.<br />";
    } else if ((fld.value.length < 7) || (fld.value.length > 15)) {
        error = "The password is the wrong length. <br />";
        fld.style.background = 'Yellow';
    } else if (illegalChars.test(fld.value)) {
        error = "The password contains illegal characters.<br />";
        fld.style.background = 'Yellow';
    } else if (!((fld.value.search(/(a-z)+/)) && (fld.value.search(/(0-9)+/)))) {
        error = "The password must contain at least one numeral.<br />";
        fld.style.background = 'Yellow';
    } else {
        fld.style.background = 'White';
    }
   return error;
}

function trim(s)
{
  return s.replace(/^\s+|\s+$/, '');
}

function validateEmail(fld) {
    var error="";
    var tfld = trim(fld.value);                        // value of field with whitespace trimmed off
    var emailFilter = /^[^@]+@[^@.]+\.[^@]*\w\w$/ ;
    var illegalChars= /[\(\)\<\>\,\;\:\\\"\[\]]/ ;
   
    if (fld.value == "") {
        fld.style.background = 'Yellow';
        error = "You didn't enter an email address.<br />";
    } else if (!emailFilter.test(tfld)) {              //test email for illegal characters
        fld.style.background = 'Yellow';
        error = "Please enter a valid email address.<br />";
    } else if (fld.value.match(illegalChars)) {
        fld.style.background = 'Yellow';
        error = "The email address contains illegal characters.<br />";
    } else {
        fld.style.background = 'White';
    }
    return error;
}